#ifndef __MAINWIN_HPP
#define __MAINWIN_HPP

#include <owl.h>
#include <static.h>

_CLASSDEF(TSplashWin)
class TSplashWin : public TDialog
	{
	protected :
		BOOL  		DisplaySplash;
		PTWindowsObject SplashWin;

	public :

		TSplashWin( PTWindowsObject AParent, int ResourceId );
  		void InitControls();
  		virtual void SetupWindow();
		virtual LPSTR GetClassName();
		virtual void GetWindowClass( WNDCLASS& );
		virtual BOOL CanClose();


		virtual void WMTimer( RTMessage ) = [ WM_FIRST + WM_TIMER ];
		virtual void CMDisplaySplash( void )
						= [ CM_FIRST + CM_DISPLAY_SPLASH ];

		virtual void CMMainExit( RTMessage ) 		= [ ID_FIRST + ID_MAIN_EXIT ];
		virtual void CMExit( RTMessage ) 		  	= [ CM_FIRST + CM_EXIT ];
		virtual void CMHelpAbout( RTMessage ) 	  	= [ CM_FIRST + CM_HELP_ABOUT ];
	};

#endif